### Method

# Ide Runner set_cwd

#### Declaration

    void
    ide_runner_set_cwd (
      IdeRunner* self,
      const gchar* cwd
    )

#### Description

Sets the directory to use when spawning the runner.

Available since: | 3.32

Sets property | `Ide.Runner:cwd`

#### Parameters

`cwd` | `const gchar*`
| The working directory or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.